Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.o
Class OMessageVarType

    java.lang.Object
      org.apache.ode.bpel.o.OBase
          org.apache.ode.bpel.o.OVarType
              org.apache.ode.bpel.o.OMessageVarType

All Implemented Interfaces:
  java.io.Serializable

    public class OMessageVarType

extends OVarType

Message variable type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OMessageVarType.Part`

Field Summary
`OElementVarType` | `docLitType` For doc-lit-like message types , the element type of the only part.
`javax.xml.namespace.QName` | `messageType`
`java.util.Map<java.lang.String,OMessageVarType.Part>` | `parts`

Fields inherited from class org.apache.ode.bpel.o.OBase
`debugInfo`

Constructor Summary
`OMessageVarType(OProcess owner, javax.xml.namespace.QName messageType, java.util.Collection<OMessageVarType.Part> parts)`

Method Summary
`org.w3c.dom.Node` | `newInstance(org.w3c.dom.Document doc)` Create a new instance of this variable.

Methods inherited from class org.apache.ode.bpel.o.OBase
`dehydrate, equals, getId, getOwner, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### messageType

    public javax.xml.namespace.QName messageType

### parts

    public final java.util.Map<java.lang.String,OMessageVarType.Part> parts

### docLitType

    public final OElementVarType docLitType

  For doc-lit-like message types , the element type of the only part.

Constructor Detail

### OMessageVarType

    public OMessageVarType(OProcess owner,
                           javax.xml.namespace.QName messageType,
                           java.util.Collection<OMessageVarType.Part> parts)

Method Detail

### newInstance

    public org.w3c.dom.Node newInstance(org.w3c.dom.Document doc)

  Description copied from class: `OVarType`
  Create a new instance of this variable.

  Specified by:
    `newInstance` in class `OVarType`
  Returns:
    a "skeleton" representation of this variable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD